from distutils.core import setup
from distutils.extension import Extension
from Pyrex.Distutils import build_ext

import sys

if sys.platform == 'win32':
    faSources=['fastaudio.pyx', '../pa_common/pa_lib.c', '../pa_win_wmme/pa_win_wmme.c']
    defines = [('WIN32', 1)]
    libs = ['winmm', 'libsndfile']
    extra_link_args = []
elif sys.platform.find('linux') != -1:
    faSources=['fastaudio.pyx', '../pa_common/pa_lib.c', '../pa_unix_oss/pa_unix_oss.c']
    defines = []
    libs = ['sndfile']
    extra_link_args = ['/usr/lib/libsndfile.a']
#faSources=['fastaudio.pyx']

ext_fastaudio = [Extension('fastaudio',
                          faSources,
                          include_dirs=['../pa_common'],
                          define_macros=defines,
                          libraries=libs,
                          extra_link_args=extra_link_args
                          )]
                      
setup(
  name = "fastaudio",
  version = '0.1',
  ext_modules=ext_fastaudio,
  cmdclass = {'build_ext': build_ext}
)
